<< _czt | FOSSEE_Signal_Processing_Toolbox | ac2poly >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > _levin

# _levin

Resolve the Yule-Walker equations:

### Syntax

    [ar,sigma2,rc]=_levin(r)

### Description

|r(0) r(1) ... r(N-1)|| a(1) | |sigma2| |r(1) r(0) ... r(n-1)|| a(2) | | 0 | | : : ... : || : |=| 0 | | : : ... : || : | | 0 | |r(N-1) r(N-2) ... r(0) ||a(N-1)| | 0 |

using Levinson's algorithm.

### Parameters

r :

  Correlation coefficients

ar :

  Auto-Regressive model parameters

sigma2 :

  Scale constant

rc :

  Reflection coefficients

### Examples

    // Solve the Yule-Walker equations using Levinson's algorithm
    // Correlation coefficients
    r = [1, 0.8, 0.5, 0.2]
    // Solve the Yule-Walker equations
    [ar, sigma2, rc] = _levin(r)

Report an issue
<< _czt | FOSSEE_Signal_Processing_Toolbox | ac2poly >>